<?php

  $medical_store_theme_custom_setting_css = '';

    // Global Color
    $medical_store_first_theme_color = get_theme_mod('medical_store_first_theme_color', '#3DB3FF');
    $medical_store_second_theme_color = get_theme_mod('medical_store_second_theme_color', '#000000');

    $medical_store_theme_custom_setting_css .=':root {';
        $medical_store_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($medical_store_first_theme_color ).'!important;';
        $medical_store_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($medical_store_second_theme_color ).'!important;';
    $medical_store_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$medical_store_scroll_alignment = get_theme_mod('medical_store_scroll_alignment', 'right');

    if($medical_store_scroll_alignment == 'right'){
        $medical_store_theme_custom_setting_css .='.scroll-up{';
            $medical_store_theme_custom_setting_css .='right: 30px;!important;';
			$medical_store_theme_custom_setting_css .='left: auto;!important;';
        $medical_store_theme_custom_setting_css .='}';
    }else if($medical_store_scroll_alignment == 'center'){
        $medical_store_theme_custom_setting_css .='.scroll-up{';
            $medical_store_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $medical_store_theme_custom_setting_css .='}';
    }else if($medical_store_scroll_alignment == 'left'){
        $medical_store_theme_custom_setting_css .='.scroll-up{';
            $medical_store_theme_custom_setting_css .='left: 30px;!important;';
			$medical_store_theme_custom_setting_css .='right: auto;!important;';
        $medical_store_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $medical_store_sale_badge_position = get_theme_mod( 'medical_store_sale_badge_position','right');
    if($medical_store_sale_badge_position == 'left'){
        $medical_store_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $medical_store_theme_custom_setting_css .='left: 10px; right: auto;';
        $medical_store_theme_custom_setting_css .='}';
    }else if($medical_store_sale_badge_position == 'right'){
        $medical_store_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $medical_store_theme_custom_setting_css .='left: auto; right: 10px;';
        $medical_store_theme_custom_setting_css .='}';
    }

    // Featured Image Hover Effect
    $medical_store_show_featured = get_theme_mod('medical_store_featured_image_hide_show', 1);
    $medical_store_hover_effect = get_theme_mod('medical_store_single_post_featured_image_hover','none');

    if ( $medical_store_show_featured && $medical_store_hover_effect !== 'none' ) {

    $medical_store_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $medical_store_hover_effect === 'zoom-in' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $medical_store_hover_effect === 'zoom-out' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $medical_store_hover_effect === 'grayscale' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $medical_store_hover_effect === 'sepia' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $medical_store_hover_effect === 'blur' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $medical_store_hover_effect === 'bright' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $medical_store_hover_effect === 'translate' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $medical_store_hover_effect === 'scale' ) {
        $medical_store_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}
// Product Featured Image Hover Effect
    $medical_store_show_featured = get_theme_mod('medical_store_featured_image_hide_show', 1);
    $medical_store_hover_effect = get_theme_mod('medical_store_product_featured_image_hover','none');

    if ( $medical_store_show_featured && $medical_store_hover_effect !== 'none' ) {

    $medical_store_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $medical_store_hover_effect === 'zoom-in' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $medical_store_hover_effect === 'zoom-out' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $medical_store_hover_effect === 'grayscale' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $medical_store_hover_effect === 'sepia' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $medical_store_hover_effect === 'blur' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $medical_store_hover_effect === 'bright' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $medical_store_hover_effect === 'translate' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $medical_store_hover_effect === 'scale' ) {
        $medical_store_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   